#!/usr/bin/env python

from distutils.core import setup
import os

def getFileList(path):
    file_list = []
    for (root, dirs, files) in os.walk(path):
	if ".svn" in root: continue
        for file in files:
	    if ".pyc" in file: continue
            file_list.append( os.path.join(root,file).replace("\\", "/") )
        
    return file_list


setup(name='harkpython',
      version='1.0.0',
      description='Python scripts for HARK-Python',
      author='Takeshi Mizumoto',
      author_email='support@hark.jp',
      url='http://www.hark.jp/',
      packages=['harkpython'],
      package_dir={"harkpython": "src/"}
      #data_files=[("share/doc/hark-python", getFileList("doc"))]
      )
